<?php

namespace Litecms\Dumb;

use User;

class Dumb
{
    /**
     * $dumb object.
     */
    protected $dumb;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Dumb\Interfaces\DumbRepositoryInterface $dumb)
    {
        $this->dumb = $dumb;
    }

    /**
     * Returns count of dumb.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.dumb.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->dumb->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\DumbUserCriteria());
        }

        $dumb = $this->dumb->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('dumb::' . $view, compact('dumb'))->render();
    }
}
