<?php

namespace Litecms\Dumb\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DumbTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Dumb\Models\Dumb $dumb)
    {
        return [
            'id'                => $dumb->getRouteKey(),
            'key'               => [
                'public'    => $dumb->getPublicKey(),
                'route'     => $dumb->getRouteKey(),
            ], 
            'name'              => $dumb->name,
            'image'             => $dumb->image,
            'url'               => [
                'public'    => trans_url('dumb/'.$dumb->getPublicKey()),
                'user'      => guard_url('dumb/dumb/'.$dumb->getRouteKey()),
            ], 
            'status'            => trans('app.'.$dumb->status),
            'created_at'        => format_date($dumb->created_at),
            'updated_at'        => format_date($dumb->updated_at),
        ];
    }
}